package com.xjrsoft.module.xycxedu.util;

import cn.hutool.http.HttpUtil;
import org.junit.jupiter.api.Test;

import java.io.IOException;

import static org.junit.jupiter.api.Assertions.*;

/**
 * @author dzx
 * @date 2024/7/18
 */
class ApiUtilTest {
    private final static int schoolid = 189;
    private final static String sign = "888";
    private final static String accessid = "86a5d02ae9f78470";

    private final static String host = "https://openapi.xycxedu.com";
    @Test
    void test() throws IOException {
        String url = host + "/exam/list?schoolid=" + schoolid + "&accessid=" + accessid + "&sign=" + sign;
        String s = HttpUtil.get(url);
    }

    @Test
    void test1() throws IOException {
        String url = host + "/exam/list?schoolid=" + schoolid + "&accessid=" + accessid + "&sign=" + sign;
        String s = HttpUtil.get(url);

        System.out.println(s);
    }
}